/*
	接口统一管理
*/
const apiurl = {
	// 用户注册登陆
	login: {
		url: '/auth/exchangeAccountLogin',
		type: 'post'
	},
	//登录用户信息
	memberInfo: {
		url: '/memberInfo/getInfoById',
		type: 'get'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 修改密码
	updatePassword: {
		url: '/memberInfo/updatePassword',
		type: 'put'
	},
	// 修改用户信息
	updateMemberInfo: {
		url: '/memberInfo/update',
		type: 'put'
	},
	//核销商品信息
	getCheckGood: {
		url: '/memberExchangeRecord/getCheckGood',
		type: 'get'
	},
	//奖品核销
	check: {
		url: '/memberExchangeRecord/check',
		type: 'put'
	},
	//核销记录
	checkList: {
		url: '/memberExchangeRecord/selectCheckList',
		type: 'get'
	},
	//核销详情
	checkDetail: {
		url: '/memberExchangeRecord/selectById',
		type: 'get'
	},
	
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}